package com.tzld.piaoquan.api.dao.mapper.contentplatform;

import com.tzld.piaoquan.api.model.po.contentplatform.ContentPlatformQwDataStatSubChannel;
import com.tzld.piaoquan.api.model.po.contentplatform.ContentPlatformQwDataStatSubChannelExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface ContentPlatformQwDataStatSubChannelMapper {
    long countByExample(ContentPlatformQwDataStatSubChannelExample example);

    int deleteByExample(ContentPlatformQwDataStatSubChannelExample example);

    int deleteByPrimaryKey(Long id);

    int insert(ContentPlatformQwDataStatSubChannel record);

    int insertSelective(ContentPlatformQwDataStatSubChannel record);

    List<ContentPlatformQwDataStatSubChannel> selectByExample(ContentPlatformQwDataStatSubChannelExample example);

    ContentPlatformQwDataStatSubChannel selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") ContentPlatformQwDataStatSubChannel record, @Param("example") ContentPlatformQwDataStatSubChannelExample example);

    int updateByExample(@Param("record") ContentPlatformQwDataStatSubChannel record, @Param("example") ContentPlatformQwDataStatSubChannelExample example);

    int updateByPrimaryKeySelective(ContentPlatformQwDataStatSubChannel record);

    int updateByPrimaryKey(ContentPlatformQwDataStatSubChannel record);
}